Name:           perl-EBook-EPUB
Version:        0.6
Release:        8%{?dist}
Summary:        Perl module for generating EPUB documents
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/EBook-EPUB/
Source0:        http://www.cpan.org/authors/id/O/OT/OTY/EBook-EPUB-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Data::UUID)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XML::Writer)
BuildRequires:  perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
This module permits creating EPUB documents.

%prep
%setup -q -n EBook-EPUB-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 0.6-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.6-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 23 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.6-1
- Update to 0.6
- Add perl default filter
- Clean up spec file

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.5-6
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.5-5
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.5-3
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Aug 26 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.5-2
- Add perl(version) to BR
- Use DESTDIR instead of PERL_INSTALL_ROOT
 
* Fri Aug 20 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.5-1
- Update to 0.5

* Tue Jul 20 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.4-1
- Update to 0.4

* Fri May 07 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.3-1
- Specfile autogenerated by cpanspec 1.78.
